/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "Code 12 Application Metadata", "zypp--appdata.html", [
      [ "Intro", "zypp--appdata.html#zypp-appdata_intro", null ],
      [ "Missing or wrong appdata", "zypp--appdata.html#zypp-appdata_wrong_appdata", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Code Snippets", "CodeSnippets.html", [
      [ "for_", "CodeSnippets.html#for_", null ],
      [ "erase elements from containers", "CodeSnippets.html#erase", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Notes on revisions", "Notes.html", [
      [ "6.8.0 - Deprecated methods deleted", "Notes.html#V_6_8_0", null ],
      [ "6.10.0 - Removed zypp::UpgradeStatistics", "Notes.html#V_6_10_0", null ]
    ] ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"Debug_8h.html#afc3d101f633a076cc1ca84b85b6224b2",
"IOStream_8h_source.html",
"LookupAttr_8h.html",
"Node_8cc.html#aedd97e94758b8353b3e605bc30cc2cd6",
"PoolItemBest_8cc.html#ad811c961156e394c4118bcaa55d5df90",
"RepoFileReader_8h.html",
"RpmFlags_8h.html#a4c4781cc6d1baa791e7b97b8093beeb9ab9a84f7b91905c4a4afe892460e92a24",
"String_8cc.html",
"Testcases.html#References",
"ZsyncParser_8h_source.html",
"classzypp_1_1CapMatch.html#aa540476f01c4102008c7e29c8c982852ac99d7c7641e6157884ed63e01cc97a69",
"classzypp_1_1CpeId.html#a46297d16844f29c753190c84bb57cd8e",
"classzypp_1_1Errno.html#a39592051b9b6f4062f7630b8f326f2e6",
"classzypp_1_1HistoryLogDataRepoAliasChange.html#a6fdadc21965aebd7d10223145ff805baad46a011b18344348a3dc7ad41d7a09ab",
"classzypp_1_1LanguageCode.html#a96efe9d8c637db0f7e2d1a8a40f97703",
"classzypp_1_1Package.html#aa9a46964764358d432072167aa82dea4",
"classzypp_1_1PoolItem.html#a6788d8006e6afb88ebc4e11151d20e2c",
"classzypp_1_1ProgressData.html",
"classzypp_1_1RepoManager.html#a08790a0aac0f812ade449f448eb892f9",
"classzypp_1_1ResPool.html#ab908ace2306d6c7823fb238ccde8ffaf",
"classzypp_1_1Resolvable.html#a8d4741fd2edc70ed9f4d212b7700ddb4",
"classzypp_1_1StringTypeAttr.html#a02b57ce02fb61985d49ef273720de37d",
"classzypp_1_1ZConfig.html#ae5f467e456276eef59ef378b68897ba1",
"classzypp_1_1base_1_1DrunkenBishop.html#ab4912aba566853045544fb14f825a92c",
"classzypp_1_1callback_1_1UserData.html#a78781ee69f63f9aff3d70df20c65a9ad",
"classzypp_1_1filesystem_1_1Pathname.html#a5906250cac5f91cc2ff1e6110a5bdd9f",
"classzypp_1_1media_1_1CurlAuthData.html#a7eddce88f485a364a461784a74c60e1f",
"classzypp_1_1media_1_1MediaDISK.html#a6eb35ad3731717062031b5ab15ece487",
"classzypp_1_1media_1_1MediaNotOpenException.html",
"classzypp_1_1media_1_1ZsyncParser.html",
"classzypp_1_1parser_1_1susetags_1_1RepoIndex.html",
"classzypp_1_1repo_1_1RepoMetadataException.html#a6fd05ff3505b4db45f331de9f8339e40",
"classzypp_1_1sat_1_1LookupAttr_1_1iterator.html#a0b18b3c9f059bae9e9284c313895d234",
"classzypp_1_1sat_1_1SolvAttr.html#a95e3eba6dcc3d1917bd9138f22074f5a",
"classzypp_1_1sat_1_1WhatObsoletes.html#a37b84e22194df571a1a3b68d71233e19",
"classzypp_1_1str_1_1regex.html#a12e87c6774cb0b70baf8c156d4d7c069",
"classzypp_1_1target_1_1SolvIdentFile.html#acacb56c5b0bce5a31142fd8fe23a50db",
"classzypp_1_1target_1_1rpm_1_1RpmDb.html#a7b4a019b12e10269767d9cb0f47a97db",
"classzypp_1_1target_1_1rpm_1_1librpmDb_1_1db__const__iterator_1_1D.html#ab555481b15494ccd801c168e517cce3f",
"classzypp_1_1ws_1_1WebpinResult.html#a309418151ca2b1644edcae912e833f9a",
"functions_eval.html",
"group__ZYPP__BASE__LOGGER__MACROS.html#gabc8cee8b6331dfad1c319bca96b2784f",
"namespacezypp_1_1detail.html",
"structzypp_1_1CodeMaps_1_1LC.html#aee075e8f6a946d2c72af264cd673cfcf",
"structzypp_1_1HistoryActionID.html#ae0d83e6b28fbc06022af02fbc6e397d0",
"structzypp_1_1ProblemSolution_1_1Impl.html#ad5996f4007b62930697fe56f63ee00d3",
"structzypp_1_1RepoManager_1_1Impl.html#a83c970a5e3534a1a76b5e67f4a91fc8a",
"structzypp_1_1base_1_1ProfilingFormater.html#ac52929823bb5b2696c3fb49c4a5d2a92",
"structzypp_1_1functor_1_1functor__detail_1_1FunctorRef1.html#aa9840cfedfdf658469439c25e100227c",
"structzypp_1_1parser_1_1ProductFileData_1_1Impl.html#ae26ea6a4a5513e537cf3ced4ce0f8904",
"structzypp_1_1resfilter_1_1ByInstalled.html",
"structzypp_1_1str_1_1Str.html#a26df1b9cf7a98e4ac7b6ffe30c29bab7",
"structzypp_1_1ui_1_1StatusHelper.html#a9a30f1443cd93c284b4b681218b255c8"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';